Devuan bug report logs - #86
bluez-firmware: missing support for raspberry pi3 bluetooth

version graph

Package: bluez-firmware; Maintainer for bluez-firmware is (unknown); Source for bluez-firmware is src:bluez-firmware.

Reported by: Gregory Nowak <greg@gregn.net>

Date: Thu, 25 May 2017 00:18:01 UTC

Severity: critical

Tags: jessie

Fixed in version bluez-firmware/1.2-4

Done: Gregory Nowak <greg@gregn.net>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Gregory Nowak <greg@gregn.net>
Subject: bug#86 closed by Gregory Nowak <greg@gregn.net> (bluez-firmware:
 missing support for raspberry pi3 bluetooth)
Message-ID: <handler.86.D86.16576019262199.notifdone@bugs.devuan.org>
References: <Ysz/cceDclWDYM5y@gregn.net>
 <20170525000831.5037.71476.reportbug@rpitest.lan.lan>
X-Devuan-PR-Message: they-closed 86
X-Devuan-PR-Package: bluez-firmware
X-Devuan-PR-Keywords: jessie
Reply-To: 86@bugs.devuan.org
Date: Tue, 12 Jul 2022 05:00:05 +0000
Content-Type: multipart/mixed; boundary="----------=_1657602005-2223-1"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your bug report
which was filed against the bluez-firmware package:

#86: bluez-firmware: missing support for raspberry pi3 bluetooth

It has been closed by Gregory Nowak <greg@gregn.net>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Gregory Nowak <greg@gregn.net> by
replying to this email.


-- 
86: https://bugs.devuan.org/cgi/bugreport.cgi?bug=86
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Gregory Nowak <greg@gregn.net>
To: 86-done@bugs.devuan.org
Subject: bluez-firmware: missing support for raspberry pi3 bluetooth
Date: Mon, 11 Jul 2022 21:58:25 -0700
Package: bluez-firmware
Version: 1.2-4

The bluez-firmware package in devuan Chimaera contains the necessary
patches for the rpi3 bluetooth to work out of the box. I don't know
when the patches made it into the bluez-firmware package, but I assume
that was in devuan Ascii. I can try to track this info down if needed.
[Message part 3 (message/rfc822, inline)]
From: Gregory Nowak <greg@gregn.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: bluez-firmware: missing support for raspberry pi3 bluetooth
Date: Wed, 24 May 2017 17:08:31 -0700
Package: bluez-firmware
Version: 1.2-3+rpi1
Severity: critical

Dear Maintainer,
this is a migration of:
<https://git.devuan.org/sdk/arm-sdk/issues/14>
The bluez-firmware package in devuan is missing raspbian's patches necessary to use the
built-in bluetooth adapter on the raspberry pi3 (rpi3). The patches are a part of raspbian's source:
<http://archive.raspberrypi.org/debian/pool/main/b/bluez-firmware/>
The necessary patch is in debian/patches, and in the broadcom directory. It is
necessary for the
arm64 and armhf architectures, since the rpi3 can use either image, though raspbian's bluez-firmware is architecture independent. I cannot
guarantee that applying this patch won't break other architectures, so didn't take this farther on my own. The bluez-firmware package I'm reporting against
installed on this
system is raspbian's bluez-firmware from January 2017. So, it isn't what currently exists in devuan.
 
-- System Information:

Architecture: aarch64

Kernel: Linux 4.10.0-rc5-v8+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

-- no debconf information

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Apr 20 20:05:17 2024;